[riot-notifications] [RIOT-OS/RIOT] drivers/mtd_spi_eeprom: add MTD wrapper for AT25XXX EEPROMs (#13877)

benpicco notifications at github.com
Mon May 4 23:33:26 CEST 2020


@benpicco approved this pull request.

Works like a charm - tested with `examples/filesystem` (requires #14006).

One more thing - can you please add this patch:

```patch
--- a/drivers/Makefile.dep
+++ b/drivers/Makefile.dep
@@ -509,6 +509,10 @@ endif
 ifneq (,$(filter mtd_%,$(USEMODULE)))
   USEMODULE += mtd
 
+  ifneq (,$(filter mtd_at25xxx,$(USEMODULE)))
+    USEMODULE += at25xxx
+  endif
+
   ifneq (,$(filter mtd_sdcard,$(USEMODULE)))
     USEMODULE += sdcard_spi
   endif
```

So all the user has to do is `USEMODULE += mtd_at25xxx` and then dependencies will be resolved automatically. 



-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/RIOT-OS/RIOT/pull/13877#pullrequestreview-405363877
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.riot-os.org/pipermail/notifications/attachments/20200504/4b2731a0/attachment.htm>


More information about the notifications mailing list